yujianshengucas的个人博客分享 http://blog.sciencenet.cn/u/yujianshengucas

博文

FileZila install

已有 3339 次阅读 2016-9-2 16:22 |个人分类:小结|系统分类:科研笔记| FileZila

下载地址:(各种历史版本)

https://sourceforge.net/projects/filezilla/files/FileZilla_Client/


FileZila官方网站:(可下载最新版)

https://filezilla-project.org/


运行(打包文件已经编译好):

解压文件后进入文件目录:

 cd  FileZilla3/bin

 ./filezilla

运行成功: 出现界面


1. centos7 下安装:

sudo yum install filezilla

运行:filezilla

版本: filezilla -v   (FileZilla 3.7.4.1, compiled on 2014-04-09)


2. Ubuntu12.04 报错:

yu@yu-lenovo:~/apps/FileZilla3/bin$ ./filezilla

./filezilla: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.17' not found (required by ./filezilla)

./filezilla: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.19' not found (required by ./filezilla)

./filezilla: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by ./filezilla)

./filezilla: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.18' not found (required by ./filezilla)

./filezilla: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by ./filezilla)


报错原因: libstdc++ is too old.

参考:https://trac.filezilla-project.org/ticket/10546


解决方法:

方法1.    

更换低版本的FileZilla, 比如 FileZilla_3.3.3_x86_64-linux-gnu.tar.bz2 ,本系统可行

https://sourceforge.net/projects/filezilla/files/FileZilla_Client/3.3.3/FileZilla_3.3.3_x86_64-linux-gnu.tar.bz2/download


方法2.

自己手动编译源文件, FileZilla_3.21.0_src.tar.bz2, 生成目录bin

https://sourceforge.net/projects/filezilla/files/FileZilla_Client/3.21.0/FileZilla_3.21.0_src.tar.bz2/download


添加快捷启动:

参考:http://os.51cto.com/art/201103/247308.htm






https://blog.sciencenet.cn/blog-1094854-1000419.html

上一篇:FileZilla
下一篇:关于: google-chrome-stable depends on libstdc++6 (>= 4.8.0)
收藏 IP: 61.183.114.*| 热度|

0

该博文允许注册用户评论 请点击登录 评论 (0 个评论)

数据加载中...

Archiver|手机版|科学网 ( 京ICP备07017567号-12 )

GMT+8, 2024-5-28 20:14

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部